Subject: Japanese Loquat

From: [email-masked] (Peter Trask)
Date: Wed, 22 Mar 1995 10:36:38

I have obtained some seeds for a Japanese Loquat tree. I don't know the
latin name or anything else other than it is a tropical tree similar to the
Orange tree. The seeds are round and about the size of a filbert nut. Any
advice on how to germinate them? Also (provided that I have success), any
advice on care for the trees?

-Peter-